Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Appointments

List Appointments

GET
/v1/appointments

Returns a paginated list of appointments.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

contact?string

Filters resources by contact.

contact[in]?string

Filters by any of the supplied contact values.

external_id?string

Identifier assigned by an external system.

external_id[in]?string

Filters by any of the supplied external id values.

status_key?string

Filters resources by status key.

status_key[in]?string

Filters by any of the supplied status key values.

type_key?string

Filters resources by type key.

type_key[in]?string

Filters by any of the supplied type key values.

start_time?string

Filters resources by start time.

Formatdate-time
start_time[neq]?string

Filters out resources with this start time.

Formatdate-time
start_time[gt]?string

Filters resources by start time using the gt operator.

Formatdate-time
start_time[gte]?string

Filters resources by start time using the gte operator.

Formatdate-time
start_time[lt]?string

Filters resources by start time using the lt operator.

Formatdate-time
start_time[lte]?string

Filters resources by start time using the lte operator.

Formatdate-time
end_time?string

Filters resources by end time.

Formatdate-time
end_time[neq]?string

Filters out resources with this end time.

Formatdate-time
end_time[gt]?string

Filters resources by end time using the gt operator.

Formatdate-time
end_time[gte]?string

Filters resources by end time using the gte operator.

Formatdate-time
end_time[lt]?string

Filters resources by end time using the lt operator.

Formatdate-time
end_time[lte]?string

Filters resources by end time using the lte operator.

Formatdate-time
end_time[is_null]?true

Filters for resources where end time is null.

end_time[not_null]?true

Filters for resources where end time is not null.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length
include?array<"additional_fields" | "contact" | "status" | "calendar">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

include_details?array<string>

Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.

Itemsitems <= 10

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/appointments"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "raw_description": "string",      "external_id": "string",      "status_key": "string",      "type_key": "string",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "start_time": "2019-08-24T14:15:22Z",      "end_time": "2019-08-24T14:15:22Z",      "confirmed_at": "2019-08-24T14:15:22Z",      "cancelled_at": "2019-08-24T14:15:22Z",      "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "additional_fields": [        {          "key": "string",          "value": "string"        }      ],      "contact": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "display_name": "string",        "full_name": "string",        "salutation": "string",        "birthday": "2019-08-24T14:15:22Z",        "description": "string",        "external_id": "string",        "secondary_external_id": "string",        "address_line1": "string",        "address_line2": "string",        "city": "string",        "zipcode": "string",        "country": "string",        "is_blocked": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "status": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "key": "string",        "name": "string",        "type": "cancelled",        "idx": 9007199254740991      },      "calendar": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "external_id": "string",        "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d",        "type": "provider",        "is_default": true,        "scheduling_enabled": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "property1": null,      "property2": null    }  ],  "next_page_url": "string",  "previous_page_url": "string"}